Functions | Variables

# storage_sl.cpp File Reference

Code handling saving and loading of persistent storages. More...

`#include "../stdafx.h"`
`#include "../newgrf_storage.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Load_PSAC ()
| Load persistent storage data.
static void | Save_PSAC ()
| Save persistent storage data.
## Variables
static const SaveLoad | _storage_desc []
| Description of the data to save and load in PersistentStorage.
const ChunkHandler | _persistent_storage_chunk_handlers []
| Chunk handler for persistent storages.

## Detailed Description

Code handling saving and loading of persistent storages.

Definition in file storage_sl.cpp.

## Function Documentation

static void Load_PSAC | ( |  | ) | `[static]`

Load persistent storage data.

Definition at line 24 of file storage_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_persistent_storage_pool >::CanAllocateItem(), SlIterateArray(), and SlObject().

static void Save_PSAC | ( |  | ) | `[static]`

Save persistent storage data.

Definition at line 36 of file storage_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, and SlObject().

## Variable Documentation

const ChunkHandler _persistent_storage_chunk_handlers[]

Initial value:

     {
      { 'PSAC', Save_PSAC, Load_PSAC, NULL, NULL, CH_ARRAY | CH_LAST},
    }

Chunk handler for persistent storages.

const SaveLoad _storage_desc[]`[static]`

Initial value:

     {
       SLE_CONDVAR(PersistentStorage, grfid,    SLE_UINT32,                  6, SL_MAX_VERSION),
       SLE_CONDARR(PersistentStorage, storage,  SLE_UINT32, 16,            161, SL_MAX_VERSION),

    }

Description of the data to save and load in PersistentStorage.

Definition at line 17 of file storage_sl.cpp.